spring.application.name=order-application-service
server.port=9212
spring.profiles.active=default

spring.apollo.enable=true
app.id=SHOP_OPEN_STORE
apollo.meta=http://212.129.229.203
env=dev
apollo.cluster=local
apollo.bootstrap.enabled=true
apollo.bootstrap.namespaces=micro_progeram_commons,order_service


##### redis
spring.redis.host = 115.159.67.166
spring.redis.port = 5289
spring.redis.password = U252fnIDyfF1A1
spring.redis.pool.max-active = 100
jasypt.encryptor.bean = jasyptStringEncryptorFreemud
#####  eureka
###eureka.instance.preferIpAddress = true
eureka.client.register-with-eureka=false
eureka.client.fetch-registry=false
eureka.client.serviceUrl.defaultZone = http://localhost:8080/eureka/
eureka.instance.prefer-ip-address = true
eureka.instance.instance-id = ${spring.cloud.client.ipAddress}:${server.port}
eureka.instance.lease-expiration-duration-in-seconds = 2
eureka.instance.lease-renewal-interval-in-seconds = 6
##### logback
logging.config = classpath:logback.xml
##### rbmq
spring.rabbitmq.host = 212.129.146.110
spring.rabbitmq.port = 5672
spring.rabbitmq.virtual-host = vhost-openstore-test
spring.rabbitmq.username = freemudopenstore
spring.rabbitmq.password = tPnpp73q8ITHBPqxx0fd
spring.rabbitmq.publisher-confirms = true
spring.rabbitmq.dynamic = true
spring.rabbitmq.cache.connection.mode = channel
program.backorders_notify_activity_queue = program.backorders_notify_activity_queue
program.backorders_change_order_status_consumer_queue = program.backorders_change_order_status_consumer_queue
program.backorders_notify_activity_exchange = program.backorders_notify_activity_exchange
link_log_queue = ha.link_log_queue
link_log_exchange = ha.link_log_exchange
mq.queue.cloud_print_queue = ha.cloud_print_queue
mq.cloud_print_exchange = saas_cloud_print_exchange
# db info
db.url = jdbc:mysql:replication://115.159.67.166:6630,115.159.67.166:6630/saas_micro_progeram?useUnicode=true&characterEncoding=utf8&useSSL=false&&roundRobinLoadBalance=true
db.username = Bf_User
db.password = L$^U4P3^2p1uGF
db.min-idle = 1
db.max-active = 100
db.maxWait = 60000
db.timeBetweenEvictionRunsMillis = 60000
db.minEvictableIdleTimeMillis = 300000
db.validationQuery = SELECT 'x'
db.testWhileIdle = true
db.testOnReturn = false
db.testOnBorrow = true
mybatis.configuration.log-impl = org.apache.ibatis.logging.stdout.StdOutImpl
mybatis.mapper-locations = classpath*:mapper/*.xml,classpath*:mapper/*/*.xml,classpath*:com.freemud.sdk.api.assortment.orderdistributor.mapper/*.xml
mybatis.type-aliases-package = cn.freemud.entities.db,com.freemud.api.assortment.datamanager.entity.db
##### Fegin
ribbon.ReadTimeout = 10000
ribbon.ConnectTimeout = 10000
feign.hystirx.enable = false
logging.level.org.springframework.security = DEBUG
feign.compression.request.enabled = true
feign.compression.response.enabled = true
feign.compression.request.mime-types = text/xml;application/xml;application/json
feign.compression.request.min-request-size = 2048
feignclient.timeout.threshold = 2000
saas.activityclient.feign.url = http://129.211.156.203:80
saas.couponclient.feign.url = http://212.64.38.207:8002
saas.paymentclient.feign.url = http://115.159.142.32
saas.recommendclient.feign.url = http://115.159.187.179:9966
saas.shortmessageclient.feign.url = http://115.159.142.32:9013
saas.synctxproductclient.feign.url = http://115.159.187.179:8484
saas.couponofflineclient.feign.url = http://49.234.242.207:80
saas.fmcloudprintclient.feign.url =
saas.customerclient.feign.url = https://saastestapi.sandload.cn/customer-service
saas.customerextendclient.feign.url = https://saastestapi.sandload.cn/customer-extend-service
saas.messagenoticeclient.feign.url =
saas.microsupportclient.feign.url =
saas.openplatformclient.feign.url =
saas.orderclient.feign.url =
saas.promotionactivityclient.feign.url = http://saastestapi.sandload.cn/promotion-activities
saas.shoppingcartclient.feign.url =
saas.storeclient.feign.url =
saas.storeitemclient.feign.url = http://saastestapi.sandload.cn/productservice
saas.wechatserviceclient.feign.url = http://118.89.167.51:9230
saas.wechatclient.feign.url = https://api.weixin.qq.com
saas.cardbinclient.feign.url = http://122.51.63.119:80
saas.coupononlineclient.feign.url = http://122.51.63.119:80
saas.bigdataclient.feign.url = http://115.159.187.179:8484
saas.productstockclient.feign.url = http://111.231.12.200:9985
saas.wechatmchclient.feign.url = https://api.mch.weixin.qq.com
#shoppingcart
saas.newshoppingcartclient.feign.url = http://129.211.116.178:9211/
saas.posbackend.feign.url = http://saastestapi.sandload.cn/pos-backend-service
###cache
goods.cache.second = 10
#\u5C0F\u7A0B\u5E8F\u56DE\u6389\u5730\u5740
saas.reverseNotifyiDcUrl = http://118.89.173.227:9212/order/newPaySuccessCallback
saas.refund.notify.callback = http://118.89.173.227:9212/order/refundNotifyCallback
payment.old.connectTimeOut = 10000
payment.old.readTimeOut = 10000
payment.old.baseUrl = http://115.159.142.32
payment.old.appName = paymentCenter-old
payment.new.connectTimeOut = 10000
payment.new.readTimeOut = 10000
payment.new.baseUrl = http://payment-center-api-koderover-dev-payment.api-ingress.sandload.cn
payment.new.appName = paymentCenter-new
####paramers
image.wxapp.appid = wxc0654291837cc4dc
image.wxapp.appsecret = d62de5a2df28afc0a2265ae02f1ea7db
openplatform.assistant.appid = wx17747e8875943c8a
openplatform.assistant.appsecret = bdb4d485fbbd6da422a09c1a91caed29
image.partnerId = 1760
coupon.app.id = d1abb1519d31478cbff31eb2ef8c157c
coupon.partner.id = 2225

member.center.connectTimeOut = 10000
member.center.readTimeOut = 10000
member.center.baseUrl = https://saastestapi.sandload.cn/customer-service
member.center.appName = memberCenter

member.extend.connectTimeOut = 10000
member.extend.readTimeOut = 10000
member.extend.baseUrl = https://saastestapi.sandload.cn/customer-extend-service
member.extend.appName = customerExtend

member.property.connectTimeOut = 10000
member.property.readTimeOut = 10000
member.property.baseUrl = https://saastestapi.sandload.cn/customer-property-service
member.property.appName = memberProperty

#member.score
member.score.connectTimeOut = 10000
member.score.readTimeOut = 10000
member.score.baseUrl = http://saastestapi.sandload.cn/customer-application-service/
member.score.appName = member.score

#new-order
order.connectTimeOut = 10000
order.readTimeOut = 10000
order.baseUrl = http://129.211.116.178:7888
order.appName = orderCenter

#old-order
old.order.connectTimeOut = 10000
old.order.readTimeOut = 10000
old.order.baseUrl = http://saastestapi.sandload.cn/orderservice
old.order.appName = oldOrderCenter

#stock
stock.connectTimeOut = 10000
stock.readTimeOut = 10000
stock.baseUrl = http://10.20.10.54:9985
stock.appName = stockCenter

#promotion-C
promotion.connectTimeOut = 10000
promotion.readTimeOut = 10000
promotion.baseUrl = http://129.211.156.203:80
promotion.appName = promotion-service

#i\u4F1A\u5458
imember.center.connectTimeOut = 10000
imember.center.readTimeOut = 10000
imember.center.baseUrl = https://microtest.sandload.cn/gateway?bf_ver=2&access_token=14a4d41b-1d69-48ce-95ef-b7a56b19336a&redirect_url=http://10.20.10.69:9986
imember.center.appName = iMemberCenter

delivery.center.baseUrl = http://freemud-delivery-gateway-koderover-dev-delivery-service.api-ingress.sandload.cn/DELIVERYCENTER
delivery.center.connectTimeOut = 10000
delivery.center.readTimeOut = 10000
delivery.center.appName = deliverycenter-sdk

saas.wx.service.provider.appid = wx8244c7c48c7d45de
saas.wx.service.provider.mchid = 1237482502
saas.wx.service.provider.signkey = XpLnadAT9uV9LZ8jUkmfET9uuwAxpiD3

#store
store.connectTimeOut = 10000
store.readTimeOut = 10000
store.baseUrl = http://saastestapi.sandload.cn/console-api
store.appName = storeCenter

saas.customScoreClient.feign.url = http://saastestapi.sandload.cn/customer-application-service

coupon.online.connectTimeOut = 10000
coupon.online.readTimeOut = 10000
coupon.online.baseUrl = http://122.51.63.119:80
coupon.online.appName = couponCenter-online

promotionActive.connectTimeOut = 10000
promotionActive.readTimeOut = 10000
promotionActive.baseUrl = http://212.64.38.207:8001
promotionActive.appName = promotion-active

promotion.active.connectTimeOut = 10000
promotion.active.readTimeOut = 10000
promotion.active.baseUrl = http://212.64.38.207:8001
promotion.active.appName = promotion-active

product.connectTimeOut = 10000
product.readTimeOut = 10000
product.baseUrl = http://saastestapi.sandload.cn/productservice
product.appName = productCenter
member.connectTimeOut = 10000
member.readTimeOut = 10000
member.baseUrl = https://saastestapi.sandload.cn/customer-service
member.appName = memberCenter
customer.extend.connectTimeOut = 10000
customer.extend.readTimeOut = 10000
customer.extend.baseUrl = http://saastestapi.sandload.cn/customer-extend-service
customer.extend.appName = customerExtendCenter
configuration.openPlatform.orderPush.url =
saas.newcustomerclient.feign.url = http://saastestapi.sandload.cn/customer-application-service
structure.connectTimeOut = 10000
structure.readTimeOut = 10000
structure.baseUrl = http://10.20.10.213:9140
structure.appName = message-center
saas.assistantserviceclient.feign.url = 小助手服务

member.pay.callback.notifyUrl = http://118.89.173.227:9213/customer/payment/memberPaymentCallback
customer.service.url = https://saastestapi.sandload.cn/customer-service
new.order.query.url = http://129.211.116.178:7888
saas.fmassistantcloudprintclient.feign.url =
customer.property.service.url = https://saastestapi.sandload.cn/customer-property-service
fama.query.url = http://122.51.63.119:80
product.query.url = http://saastestapi.sandload.cn/productservice
fama.query.appid = d1abb1519d31478cbff31eb2ef8c157c
auth.query.userinfo.url = https://saastestapi.sandload.cn/micro-openplatform
pay.query.url = http://115.159.142.32/api
template.action = AT1213
customer.extend.service.url = https://saastestapi.sandload.cn/customer-extend-service
member.svc.pay.callback.notifyUrl = http://118.89.173.227:9213/customer/svc/svcPaymentCallBack
saas.bigdatabillclient.feign.url = http://118.89.190.166:9986
upload.qr.code.type = qrcode-test
saas.delivery.mall.callback.notifyUrl = http://118.89.173.227:9212/order/delivery/mallCallbackUrl
coupon.backstage.connectTimeOut = 10000
coupon.backstage.readTimeOut = 10000
coupon.backstage.baseUrl = http://49.234.240.129:80
coupon.backstage.appName = couponCenter-backstage


coupon.offline.connectTimeOut = 10000
coupon.offline.readTimeOut = 10000
coupon.offline.baseUrl = http://coupon-offline-coupon-service-koderover-test-coupon.api-ingress.sandload.cn
coupon.offline.appName = coupon-offline


shopping.cart.check.action = checkAllCartGoodsNew
saas.ecologyclient.feign.url = https://saastestapi.sandload.cn/ecology-program-application/ecology/micro-program/


management.endpoint.health.show-details = always
management.endpoints.web.base-path = /
management.endpoints.web.exposure.include = prometheus,info,health
management.metrics.tags.application = ${spring.application.name}

eureka.instance.metadataMap.group = open-store
# 版本号，根据发布进行变化
eureka.instance.metadataMap.version = 1.9.10


member.property.k8s.base-url = http://open-store-customer-property-service.open-store.svc:8107
member.center.k8s.base-url = http://open-store-customer-service.open-store.svc:8106
customer.fmSvc.feign.url = http://10.51.0.7
saas.order.delivery.callBackUrl = https://saastestapi.sandload.cn/order-application-service/order/delivery/callbackUrl

customer.payment.new.connectTimeOut = 10000
customer.payment.new.readTimeOut = 10000
customer.payment.new.baseUrl = http://payment-center-api-koderover-dev-payment.api-ingress.sandload.cn
customer.payment.new.appName = paymentCenter-new
customer.fmSvcApp.feign.url = http://10.51.0.34:31149
saas.customerpropertyservice.feign.url = http://saastestapi.sandload.cn/customer-property-service

meal.product.update.push.type = openPlatForm
open.store.adapter.callback.service.url =
alloc.url =
saas.activityapplicationclient.feign.url =

endpoints.enabled=false
endpoints.info.enabled=true
endpoints.health.enabled=true
endpoints.prometheus.enabled=true
management.security.enabled=false
management.health.rabbit.enabled = false

eureka.instance.preferIpAddress = true

